#ifndef Initialisierung_H
#define Initialisierung_H

#include <Knopf.h>
#include <Bild.h>
#include <AuswahlBox.h>
#include <Tabelle.h>
#include <Diagramm.h>
#include <initializer_list>
#include <UIInitialization.h>

using namespace Framework;

struct OBJTabelleSpalteIni
{
	const char* name;
	int breite;
	int minBreite;
	int maxBreite;
};

Knopf* initKnopf(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, const char* titel);
KontrollKnopf* initKontrollKnopf(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, const char* txt);
TextFeld* initTextFeld(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, const char* txt);
AuswahlBox* initAuswahlBox(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, std::initializer_list< const char* > values);
ObjTabelle* initObjTabelle(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, std::initializer_list< OBJTabelleSpalteIni > spalten, int berschriftHhe);
LDiag* initLinienDiagramm(int x, int y, int br, int h, UIInit& uiFactory, __int64 style, DiagDaten* data);

#endif