#ifndef Map_H
#define Map_H

#include <Bild.h>
#include <Random.h>
#include <Datei.h>
#include "KSGNetwork.h"

using namespace Framework;

struct Pos
{
    short x;
    short y;
};

class Map : public virtual ReferenceCounter
{
private:
    Array< Pos > *schlange;
    Array< Pos > *ziele;
    Rahmen *feld;
    Rahmen *kam;
    Rahmen *map;
    Pos kamPos;
    bool move;
    int score;
    int scoreCheck;
    int breite;
    int hhe;
    int geschwindigkeit;
    int zAnzahl;
    double next;
    int richtung;
    bool beendet;
    int addAnzahl;
    int neuAnzahl;
    bool sr;
    bool rend;
    double gameTime;
    Datei capture;
    Critical cs;
    KSGClient::MinigameServerClient *klient;
    RandomGenerator *rGen;

public:
    // Konstruktor
    Map( KSGClient::MinigameServerClient *klient );
    // Destruktor
    ~Map();
    // nicht constant
    void reset( Text *zOptionen );
    void doPublicMausEreignis( MausEreignis &me );
    void doTastaturEreignis( TastaturEreignis &te );
    bool tick( double tickVal );
    void render( Bild &zRObj );
    void speichern();
    // constant
    int getScore() const;
    bool istBeendet() const;
};

#endif